<style type="text/css">
#conthead {
  background: #4e5a60;
  color: #ffffff;
  border-radius: 5px;
}
#conthead a {
 color: #ffffff;
}
#conthead p {
 margin-bottom: 0px;
}
#mainContainer {
 margin-top: 4px;
 padding-right: 0px;
 padding-left: 0px;
}
#loleafletframe  {
  width: 100%; 
  height: 100%;
}
</style>


<?php if(!empty($this->WOPIURL)): ?>
<h3>
  <?php echo $this->FILENAM; ?>
</h3>
<div id="mainContainer" >
  <form id="loleafletform" name="loleafletform" target="loleafletframe" action="<?php echo $this->LOOLURL; ?>?WOPISrc=<?php echo $this->WOPIURL; ?>&lang=fr-fr&closebutton=1&revisionhistory=1" method="post">
    <input name="access_token" value="<?php echo $this->DID; ?>" type="hidden">
  </form>
  <iframe id="loleafletframe" name="loleafletframe" scrolling="no" allowfullscreen="" style="width: 100%; height:auto; aspect-ratio: 1.4142;"></iframe>
</div>
<script >
  document.getElementById('loleafletform').submit();
</script>
<?php else: ?>
<div class="fr-callout">
  <h4 class="fr-callout__title">
    <?php echo $this->FILENAM; ?>
  </h4>
  <p class="fr-alert fr-alert--info"><strong>Ce document ne peut être affiché par votre navigateur.</strong></p>
  <ul class="fr-btns-group fr-btns-group--icon-left fr-btns-group--inline-sm fr-btns-group--sm">
    <li>
      <a href="<?php echo $this->DLURL; ?>" download class="fr-btn fr-icon-download-line">Télécharger</a>
    </li>
  </ul>
</div>
<?php endif; ?>
